import { GLOBAL_EXAMPLE_NAME } from "../3.1/paths/ExampleObjectConverter.node";
export function singleUndefinedRecordIfNullOrEmpty(value) {
    return value != null && Object.keys(value).length > 0
        ? value
        : { [GLOBAL_EXAMPLE_NAME]: undefined };
}
